Program drive
implicit none
call Route_with_Field_at_a_Reference_Point
!call IntegrationCheck(1)
!call InnerHuygensCheck(1)
!call RightPartsCheck
!call Legendres
!call Exponents
!call Conversion_Check
!call Integrals_Writing
!call Field_Making_Check
!call Clebsch_Gordan_Single(3, 2, 3, 2, 2)
!call Inc_Field_Coeff(1, 1, 1, 1, 1.d00)
END
!
Subroutine Conversion_Check
use Advertisement
implicit none
m=1
a_e1=(1.d00,1.d00); a_e2=(1.d00,1.d00); a_o1=(1.d00,1.d00); a_o2=(1.d00,1.d00)
c_e1=(1.d00,1.d00); c_e2=(1.d00,1.d00); c_o1=(1.d00,1.d00); c_o2=(1.d00,1.d00)
a_p1=(1.d00,1.d00); a_p2=(1.d00,1.d00); a_m1=(1.d00,1.d00); a_m2=(1.d00,1.d00)
c_p1=(1.d00,1.d00); c_p2=(1.d00,1.d00); c_m1=(1.d00,1.d00); c_m2=(1.d00,1.d00)
print *, c_e1(1)
call Coefficients_Conversion_to_M_M(1, 1, 3)
call Coefficients_Conversion_to_eo(1, 1, 3)
print *, c_e1(1)
End Subroutine Conversion_Check
!
Subroutine Legendres
use Advertisement
implicit none
real*8 p(4), t(4), z, a
p=0.d00; t=0.d00
m=2
z=.5d00
a=dsqrt(1.d00-z*z)
call nLegendre(4, z, a, p, t)
do n=1,4
  print *, p(n) !, t(5)
end do
print *, 30*z*a*(7.d00*z*z-4.d00)
End Subroutine Legendres
!
Subroutine Exponents
use Advertisement
implicit none
complex*16 p, i, ep, be(n_max+terms-1), dbe(n_max+terms-1)
real*8 pl(n_max+terms-1), tl(n_max+terms-1), z, a
integer*4 nn, nmx
m=0; nmx=100
p=(-10.d00, 0.d00)
i=(1.d00, 0.d00)
z=.6d00; a=dsqrt(1.d00-z*z)
ep=cdsin(p)/p
call nLegendre(nmx, z, a, pl, tl)
call nBessel(nmx, p, be, dbe)
do nn=1, nmx
  i=i*(0.d00, 1.d00)
  ep=ep+(2*nn+1)*i*be(nn)*pl(nn)/p
end do
print *, ep, cdexp((0.d00, 1.d00)*p*z)
End Subroutine Exponents
